#include <bits/stdc++.h>
using namespace std;
int main() {
    ios_base::sync_with_stdio(false);
    int n;
    cin >> n;
    for (int i = 1; i < n; i++) {
        int a,b;
        cin >> a >> b;
    }
    int max=0;
    poz=0;
    for(int i=0;i < n;i++){
        int a;
        cin >> a;
        if(a>max){
            max=a;
            poz=i;
        }

    }
    int q;
    cin >> q;
    for (int i = 0; i < n; i++) {
        int a,b;
        cin >> a >> b;
    }
    cout << poz << "\n";
  return 0;
}